%define upstream_name    Excel-Template
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Templating module that generates Excel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Spreadsheet::WriteExcel) >= 0.420.0
BuildRequires: perl(Spreadsheet::WriteExcel::Utility)
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This is a module used for templating Excel files. Its genesis came from the
need to use the same datastructure as the HTML::Template manpage, but
provide Excel files instead. The existing modules don't do the trick, as
they require replication of logic that's already been done within the
HTML::Template manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.340.0-13.mga10
+ Revision: 2203892
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.340.0-12.mga9
+ Revision: 1809281
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-11.mga8
+ Revision: 1504421
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.340.0-10.mga7
+ Revision: 1283632
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.340.0-9.mga7
+ Revision: 1164303
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.340.0-8.mga7
+ Revision: 1160191
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-7.mga6
+ Revision: 1027006
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.340.0-6.mga6
+ Revision: 932160
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 750485
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 684659
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 511389
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 366973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 254943
- update to 0.34

* Tue Feb 22 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 56546
- update to 0.33

* Sat Jan 22 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 31978
- mageia rebuild
- imported package perl-Excel-Template


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.320.0-1mdv2011.0
+ Revision: 627063
- import perl-Excel-Template

